summaryrefslogtreecommitdiff
path: root/bin/taler-deployment-config-generate
diff options
context:
space:
mode:
Diffstat (limited to 'bin/taler-deployment-config-generate')
-rwxr-xr-xbin/taler-deployment-config-generate6
1 files changed, 3 insertions, 3 deletions
diff --git a/bin/taler-deployment-config-generate b/bin/taler-deployment-config-generate
index 9995d65..09b08a1 100755
--- a/bin/taler-deployment-config-generate
+++ b/bin/taler-deployment-config-generate
@@ -24,15 +24,15 @@ fi
EXCHANGE_MASTER_PRIV=$(taler-config -s exchange -o master_priv_file -f)
AUDITOR_MASTER_PRIV=$(taler-config -s auditor -o auditor_priv_file -f)
-if [[ ! -f $EXCHANGE_MASTER_PRIV ]] ; then
+if ! test -f $EXCHANGE_MASTER_PRIV ; then
mkdir -p $(dirname $EXCHANGE_MASTER_PRIV)
cp $HOME/deployment/private-keys/${TALER_CONFIG_ENV}-exchange-master.priv $EXCHANGE_MASTER_PRIV
chmod g+rx $EXCHANGE_MASTER_PRIV
fi
-if [[ ! -f $AUDITOR_MASTER_PRIV ]] ; then
+if ! test -f $AUDITOR_MASTER_PRIV; then
mkdir -p $(dirname $AUDITOR_MASTER_PRIV)
- cp $HOME/deployment/private-keys/${TALER_CONFIG_ENV}-exchange-master.priv $AUDITOR_MASTER_PRIV
+ cp $HOME/deployment/private-keys/auditor.priv $AUDITOR_MASTER_PRIV
chmod g+rx $AUDITOR_MASTER_PRIV
fi